Bug 42015 - --set pwdChangeNextLogin=0 and --set password="foo" causes LDAP Error
--set pwdChangeNextLogin=0 and --set password="foo" causes LDAP Error
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-16 18:50 CEST by Florian Best
Modified: 2017-07-26 14:39 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Error handling
Max CVSS v3 score:
best: Patch_Available+


Attachments
ucs-test script (585 bytes, text/plain)
2016-08-16 18:50 CEST, Florian Best
Details
patch (2.09 KB, patch)
2016-08-16 19:09 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-08-16 18:50:47 CEST
Created attachment 7883 [details]
ucs-test script

# udm users/user create --set username=foo --set lastname=foo --set password=univention --set pwdChangeNextLogin=1
Object created: uid=foo,dc=school,dc=local

# udm users/user modify --dn uid=foo,dc=school,dc=local --set pwdChangeNextLogin=0 --set password="foo"
LDAP Error: No such attribute: modify/delete: shadowMax: no such attribute
Comment 1 Florian Best univentionstaff 2016-08-16 19:09:15 CEST
Created attachment 7884 [details]
patch
Comment 2 Johannes Keiser univentionstaff 2017-07-10 14:11:11 CEST
(In reply to Florian Best from comment #1)
> Created attachment 7884 [details]
> patch

Applied rebased patch:

r 80999
univention-directory-manager-modules (12.0.17-74) 
* Bug #42015: Applied patch from Florian Best - Fix LDAP error when
simultaneously setting pwdChangeNextLogin=0 and password

YAML: r 81000
Comment 3 Florian Best univentionstaff 2017-07-11 17:49:08 CEST
OK: The UMC login afterwards is working, traceback is fixed.
Added a test case:

ucs-test (7.0.22-24):
r81057 | Bug #42015: add 61_udm-users/36_pwdChangeNextLogin_and_password_set

OK: YAML
Comment 4 Erik Damrose univentionstaff 2017-07-26 14:39:26 CEST
<http://errata.software-univention.de/ucs/4.2/115.html>